> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List merchant's active products

> Get all active products for a merchant by their handle. Only returns in-stock products with available quantity.



## OpenAPI

````yaml https://api.auctionnow.io/api/alpha/doc get /alpha/public/merchants/{handle}/products
openapi: 3.0.0
info:
  version: alpha
  title: Auction Now API
servers:
  - url: https://api.auctionnow.io/api
    description: Production API
security: []
paths:
  /alpha/public/merchants/{handle}/products:
    get:
      tags:
        - Products
      summary: List merchant's active products
      description: >-
        Get all active products for a merchant by their handle. Only returns
        in-stock products with available quantity.
      parameters:
        - schema:
            type: string
            description: The merchant's handle
          required: true
          description: The merchant's handle
          name: handle
          in: path
      responses:
        '200':
          description: List of active products
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                          description: Product ID
                        _creationTime:
                          type: number
                          description: Creation timestamp (ms since epoch)
                        title:
                          type: string
                          description: Product title
                        description:
                          type: string
                          description: Product description
                        slug:
                          type: string
                          description: URL-safe product identifier
                        handle:
                          type: string
                          description: Product handle
                        price:
                          type: number
                          description: Product price in USD
                        shippingCostUS:
                          type: number
                          description: US shipping cost in USD
                        shippingCostInternational:
                          type: number
                          description: International shipping cost in USD
                        quantity:
                          type: number
                          description: Total units available
                        quantityAvailable:
                          type: number
                          description: Number of units still available
                        status:
                          type: string
                          enum:
                            - INSTOCK
                            - SCHEDULED
                            - OUTOFSTOCK
                          description: Current product status
                        productType:
                          type: string
                          enum:
                            - PHYSICAL
                            - DIGITAL_FILE
                            - DIGITAL_LINK
                          description: Type of product
                        type:
                          type: string
                          enum:
                            - AUCTION_AND_PRODUCT
                            - PRODUCT_ONLY
                          description: Whether this product is linked to an auction
                        details:
                          type: object
                          additionalProperties:
                            type: string
                          description: Additional product details
                        images:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                                description: Image ID
                              url:
                                type: string
                                description: Image URL
                            required:
                              - _id
                              - url
                          description: Product images
                        numberOfBids:
                          type: number
                          description: Number of bids (if linked to an auction)
                      required:
                        - _id
                        - _creationTime
                        - title
                        - description
                        - slug
                        - handle
                        - images
                    description: List of active products for the merchant
                  message:
                    type: string
                  timestamp:
                    type: number
                required:
                  - data
                  - timestamp
        '400':
          description: Bad Request - Validation error or invalid input
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          errors:
                            type: array
                            items:
                              type: string
                          properties:
                            type: object
                            properties:
                              data:
                                type: object
                                properties:
                                  errors:
                                    type: array
                                    items:
                                      type: string
                                  properties:
                                    type: object
                                    additionalProperties:
                                      type: object
                                      properties:
                                        errors:
                                          type: array
                                          items:
                                            type: string
                                      required:
                                        - errors
                                required:
                                  - errors
                                  - properties
                            required:
                              - data
                        required:
                          - errors
                          - properties
                required:
                  - message
                  - error
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````